### Hierarchy

- Mapper

## Index

### Properties

- mapperForType

### Methods

- createToKeyFn
- forType
- fromDb
- fromDbOne
- getPropertyValue
- toDb
- toDbOne
- toKey

## Properties

### Static mapperForType

mapperForType: Map<AttributeValueType, MapperForType<any, any>> = new Map()

- Defined in mapper/mapper.ts:30

## Methods

### Static createToKeyFn

- createToKeyFn<T>(modelConstructor: ModelConstructor<T>): function

- - Defined in mapper/mapper.ts:150

  returns the function for the given ModelConstructor to create the AttributeMap with HASH (and RANGE) Key of a given item. used to delete items

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelConstructor: ModelConstructor<T>

  #### Returns function

  - - (item: T): Attributes

    - #### Parameters

      - ##### item: T

      #### Returns Attributes

### Static forType

- forType(type: AttributeValueType): MapperForType<any, Attribute>

- - Defined in mapper/mapper.ts:250

  #### Parameters

  - ##### type: AttributeValueType

  #### Returns MapperForType<any, Attribute>

### Static fromDb

- fromDb<T>(attributeMap: Attributes, modelClass?: ModelConstructor<T>): T

- - Defined in mapper/mapper.ts:176

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributeMap: Attributes

  - ##### Optional modelClass: ModelConstructor<T>

  #### Returns T

### Static fromDbOne

- fromDbOne<T>(attributeValue: Attribute, propertyMetadata?: PropertyMetadata<any, any>): T

- - Defined in mapper/mapper.ts:234

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributeValue: Attribute

  - ##### Optional propertyMetadata: PropertyMetadata<any, any>

  #### Returns T

### Static getPropertyValue

- getPropertyValue(item: any, propertyKey: PropertyKey): any

- - Defined in mapper/mapper.ts:308

  #### Parameters

  - ##### item: any

  - ##### propertyKey: PropertyKey

  #### Returns any

### Static toDb

- toDb<T>(item: T, modelConstructor?: ModelConstructor<T>): Attributes<T>

- - Defined in mapper/mapper.ts:34

  #### Type parameters

  - #### T

  #### Parameters

  - ##### item: T

  - ##### Optional modelConstructor: ModelConstructor<T>

  #### Returns Attributes<T>

### Static toDbOne

- toDbOne(propertyValue: any, propertyMetadata?: PropertyMetadata<any>): Attribute | null

- - Defined in mapper/mapper.ts:116

  #### Parameters

  - ##### propertyValue: any

  - ##### Optional propertyMetadata: PropertyMetadata<any>

  #### Returns Attribute | null

### Static toKey

- toKey<T>(item: T, modelConstructor: ModelConstructor<T>): Attributes

- - Defined in mapper/mapper.ts:172

  #### Type parameters

  - #### T

  #### Parameters

  - ##### item: T

  - ##### modelConstructor: ModelConstructor<T>

  #### Returns Attributes

Generated using TypeDoc